## clasp 2.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(clasp)

add_subdirectory(libclasp)
add_subdirectory(libprogram_opts)
add_subdirectory(app)
