## clasp 2.0.1

=== debian/changelog ===
clasp (2.0.1-1ubuntu1) oneiric; urgency=low

  * Use LIBS instead of LDFLAGS for linking to libraries. Fixes FTBFS with ld's
    --as-needed

 -- Stefano Rivera <stefanor@ubuntu.com>  Wed, 22 Jun 2011 11:25:09 +0200

clasp (2.0.1-1) unstable; urgency=low

  * New upstream release.
  * control: Bump Standards-Version to 3.9.2.
  * patches/clasp-istreameof.patch,patches/clasp-rpath.patch: Remove.
  
 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Wed, 27 Apr 2011 10:50:10 +0200

clasp (2.0.0-3) unstable; urgency=low

  * patches/clasp-istreameof.patch: Fix unsigned conversion bug. (Closes:
    #623850)
  * control: Conditionally Build-Depends on libtbb-dev, it is only
    available on amd64,i386,ia64,ppc64.
  * patches/clasp-makefile.patch: Allow for non-multithreading builds and
    install clasp.
  * rules: Check for linux amd64,i386,ia64,ppc64 and invoke make accourdingly.
  * install: Remove as we cannot know where we are going to build upfront.
  * watch: Fix lintian debian-watch-contains-dh_make-template.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sat, 23 Apr 2011 12:30:18 +0200

clasp (2.0.0-2) unstable; urgency=low

  * Upload to Debian. (Closes: #623599)

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Thu, 21 Apr 2011 20:24:41 +0200

clasp (2.0.0-1~maverick1) maverick; urgency=low

  * New upstream release.
  * patches/clasp-makefile.patch: Refreshed for multi-threading support.
  * patches/clasp-rpath.patch: Fix lintian error binary-or-shlib-defines-rpath.
  * control: Build-Depends on libtbb-dev.
  * install: Install MT binary.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Thu, 21 Apr 2011 19:35:27 +0200

clasp (1.3.8-1~maverick1) maverick; urgency=low

  * New upstream release.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Thu, 21 Apr 2011 18:55:09 +0200

clasp (1.3.7-2) unstable; urgency=low

  * copyright: Convert to DEP-5 format and add missing licenses.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Mon, 28 Feb 2011 17:44:55 +0100

clasp (1.3.7-1~maverick1) maverick; urgency=low

  * New upstream version.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Thu, 17 Feb 2011 08:20:03 +0100

clasp (1.3.6-3) unstable; urgency=low

  * Filed ITP. (Closes: #605877)

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sun, 05 Dec 2010 17:56:39 +0100

clasp (1.3.6-2) unstable; urgency=low

  * Upload to mentors.debian.net.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sat, 20 Nov 2010 09:25:52 +0100

clasp (1.3.6-1~maverick1) maverick; urgency=low

  * New upstream version.
  * Fix copyright information.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Fri, 19 Nov 2010 21:42:10 +0100

clasp (1.3.5-3~maverick1) maverick; urgency=low

  * Add dirs and install file.
  * Bump Priority back to extra.
  * Fix Build-Depends.
  * Add override_dh_installchangelogs to rules.
  * Remove README.source.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Wed, 20 Oct 2010 06:31:54 +0200

clasp (1.3.5-2~maverick1) maverick; urgency=low

  * Tag distro-series.

  * Fix Standards-Version and Priority.
  
  * Suggest potassco-guide.

  * Fix missing changelog.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sat, 09 Oct 2010 16:15:39 +0200

clasp (1.3.5-1) lucid; urgency=low

  * New upstream version.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sun, 26 Sep 2010 17:41:30 +0200

clasp (1.3.4-1) lucid; urgency=low

  * New upstream version.

  * Add claspre support.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Wed, 16 Jun 2010 11:58:47 +0200

clasp (1.3.3-4) lucid; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.

  * Recommend gringo.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sat, 05 Jun 2010 07:36:19 +0200

clasp (1.3.3-3) lucid; urgency=low

  * Added watch file.

  * Added Vcs-Bzr to control.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Tue, 01 Jun 2010 14:46:07 +0200

clasp (1.3.3-2) lucid; urgency=low

  * Moved to Ubuntu PPA.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Wed, 26 May 2010 00:15:33 +0200

clasp (1.3.3-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Fri, 09 Apr 2010 05:43:57 +0200

clasp (1.3.2-2) unstable; urgency=low

  * Added gringo to Suggests.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Thu, 06 Mar 2010 11:18:26 +0100

clasp (1.3.2-1) unstable; urgency=low

  * Initial release.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Thu, 04 Mar 2010 19:31:51 +0100
