=== debian/control ===
Source: clasp
Section: interpreters
Priority: extra
Maintainer: Thomas Krennwallner <tkren@kr.tuwien.ac.at>
Build-Depends: debhelper (>= 7.0.50~),
 libtbb-dev [amd64 i386 ia64 ppc64]
Standards-Version: 3.9.2
Vcs-Bzr: https://code.launchpad.net/~tkren/+junk/asp/
Homepage: http://www.cs.uni-potsdam.de/clasp/

Package: clasp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gringo
Suggests: potassco-guide
Description: conflict-driven nogood learning answer set solver
 clasp is an answer set solver for (extended) normal logic
 programs. It combines the high-level modeling capacities of answer
 set programming (ASP) with state-of-the-art techniques from the area
 of Boolean constraint solving. The primary clasp algorithm relies on
 conflict-driven nogood learning, a technique that proved very
 successful for satisfiability checking (SAT). Unlike other learning
 ASP solvers, clasp does not rely on legacy software, such as a SAT
 solver or any other existing ASP solver. Rather, clasp has been
 genuinely developed for answer set solving based on conflict-driven
 nogood learning. clasp can be applied as an ASP solver (on LPARSE
 output format), as a SAT solver (on simplified DIMACS/CNF format), or
 as a PB solver (on OPB format).
