## clasp 2.0.2

=== debian/changelog ===
clasp (2.0.2-1) unstable; urgency=low

  * New upstream release.
  * patches/clasp-ld-as-needed.patch: Remove.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Fri, 01 Jul 2011 05:25:39 +0200

clasp (2.0.1-2) unstable; urgency=low

  * control: Setup as Debian Science project.
    - Set Maintainer to Debian Science Maintainers and Uploaders to Thomas
      Krennwallner.
    - Set DM-Upload-Allowed to yes.
    - Convert bzr repository to git and use Vcs-Git and Vcs-Browser
    accourdingly.
  * patches/clasp-ld-as-needed.patch: Bug fix: "FTBFS with ld
    --as-needed", thanks to stefanor@debian.org; (Closes: #631270).

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Wed, 22 Jun 2011 19:44:48 +0200
