=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: clasp
 Section: interpreters
 Priority: extra
-Maintainer: Thomas Krennwallner <tkren@kr.tuwien.ac.at>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Thomas Krennwallner <tkren@kr.tuwien.ac.at>
+DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50~),
  libtbb-dev [amd64 i386 ia64 ppc64]
 Standards-Version: 3.9.2
-Vcs-Bzr: https://code.launchpad.net/~tkren/+junk/asp/
+Vcs-Git: git://git.debian.org/git/debian-science/packages/clasp.git
+Vcs-Browser: http://git.debian.org/?p=debian-science/packages/clasp.git
 Homepage: http://www.cs.uni-potsdam.de/clasp/
 
 Package: clasp
