## clasp 2.0.3

=== debian/changelog ===
clasp (2.0.3-3) unstable; urgency=low

  * debian/control: Do not Build-Depends on libtbb-dev with i386, see
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=642248.
  * debian/copyright: Fix obsolete-field-in-dep5-copyright and
    unversioned-copyright-format-uri lintian warnings.
  * debian/rules: Only set WITH_TBB for amd64, ia64, ppc64.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sun, 25 Sep 2011 21:05:22 +0200

clasp (2.0.3-2) unstable; urgency=low

  * Bug fixed with new upstream release: "Segfaults with --pre argument
    upon certain input", thanks to Joachim Breitner (Closes: #636772).

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sun, 28 Aug 2011 08:09:00 +0200

clasp (2.0.3-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Fix year.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Wed, 24 Aug 2011 10:12:53 +0200

clasp (2.0.2-1ubuntu1~oneiric1) oneiric; urgency=low

  * Upload to ppa:~tkren/asp.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Fri, 01 Jul 2011 06:49:46 +0200
