=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Krennwallner <tkren@kr.tuwien.ac.at>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50~),
- libtbb-dev [amd64 i386 ia64 ppc64]
+Build-Depends: debhelper (>= 8.0.0),
+ libtbb-dev [amd64 ia64 ppc64]
 Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/debian-science/packages/clasp.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/clasp.git
