=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# compile with libtbb-dev only with linux 64bit intel/ppc architectures,
# fallback in pentium4 processors is not implemented, see also note of
# libtbb-dev:
#
# Note: if you are a user of the i386 architecture, i.e., 32-bit Intel
# or compatible hardware, this package only supports Pentium4-compatible
# and higher processors.
#
arch = $(shell dpkg-architecture -qDEB_BUILD_ARCH | egrep "(amd64|ia64|ppc64)")
os = $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS | grep linux)

with_tbb := no
ifeq ($(and $(if $(os),good), $(if $(arch),good)), good)
	with_tbb := yes
endif


%:
	dh $@

# add WITH_TBB as parameter to make
override_dh_auto_build:
	dh_auto_build -- WITH_TBB=$(with_tbb)

# add WITH_TBB as parameter to make install
override_dh_auto_install:
	dh_auto_install -- WITH_TBB=$(with_tbb)

# install CHANGES as changelog
override_dh_installchangelogs:
	dh_installchangelogs CHANGES
