## clasp 2.0.4

=== debian/changelog ===
clasp (2.0.4-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Override all standard targets.
  * debian/patches/clasp-makefile.patch: Remove.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Tue, 29 Nov 2011 18:29:33 +0100

clasp (2.0.3-4ubuntu1~oneiric1) oneiric; urgency=low

  * Upload to ppa:~tkren/asp.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Tue, 18 Oct 2011 13:04:50 +0200

clasp (2.0.3-4) unstable; urgency=low

  * debian/control: Build-Depends on libtbb-dev >= 3.0+r018, version 2.2
    is not supported.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Mon, 17 Oct 2011 07:52:01 +0200
