=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Thomas Krennwallner <tkren@kr.tuwien.ac.at>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 8.0.0),
- libtbb-dev [amd64 ia64 ppc64]
+ libtbb-dev (>= 3.0+r018) [amd64 ia64 ppc64]
 Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/debian-science/packages/clasp.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/clasp.git
