=== debian/rules ===
--- 
+++ 
@@ -15,22 +15,32 @@
 arch = $(shell dpkg-architecture -qDEB_BUILD_ARCH | egrep "(amd64|ia64|ppc64)")
 os = $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS | grep linux)
 
-with_tbb := no
+CONFIGPARMS = --prefix=/usr --with-claspre
+TOPBUILDDIR = build/release
 ifeq ($(and $(if $(os),good), $(if $(arch),good)), good)
-	with_tbb := yes
+	CONFIGPARMS += --with-mt TBB_INCLUDE=/usr/include TBB_LIB=/usr/lib
+	TOPBUILDDIR = build/release_mt
 endif
 
 
 %:
 	dh $@
 
-# add WITH_TBB as parameter to make
+# call ./configure.sh $(CONFIGPARMS)
+override_dh_auto_configure:
+	./configure.sh $(CONFIGPARMS)
+
+# build in $(TOPBUILDDIR)
 override_dh_auto_build:
-	dh_auto_build -- WITH_TBB=$(with_tbb)
+	dh_auto_build --builddirectory=$(TOPBUILDDIR)
 
-# add WITH_TBB as parameter to make install
+# install clasp binary built in $(TOPBUILDDIR)
 override_dh_auto_install:
-	dh_auto_install -- WITH_TBB=$(with_tbb)
+	dh_auto_install --builddirectory=$(TOPBUILDDIR) -- INSTALL_DIR=$(CURDIR)/debian/clasp/usr/bin
+
+# remove the whole build dir
+override_dh_auto_clean:
+	rm -rf ./build
 
 # install CHANGES as changelog
 override_dh_installchangelogs:
