## clasp 2.0.5

=== debian/changelog ===
clasp (2.0.5-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sun, 29 Jan 2012 20:27:04 +0100
