## clasp 2.0.6

=== debian/changelog ===
clasp (2.0.6-2) unstable; urgency=low

  * Team upload
  * Apply patch to FTBFS with gcc-4.7, thanks to Ilya Barygin (Closes: #674184)

 -- Dmitrijs Ledkovs <xnox@debian.org>  Sun, 27 May 2012 15:41:47 +0100

clasp (2.0.6-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Bump Standards-Version to 3.9.3.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Wed, 04 Apr 2012 06:35:31 +0200

clasp (2.0.5-1ubuntu1~oneiric2) oneiric; urgency=low

  * Upload to ppa:~tkren/asp.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Fri, 10 Feb 2012 09:01:57 +0100

clasp (2.0.4-1ubuntu1~oneiric1) oneiric; urgency=low

  * Upload to ppa:~tkren/asp.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Wed, 30 Nov 2011 06:36:04 +0100
