=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 8.0.0),
  libtbb-dev (>= 3.0+r018) [amd64 ia64 ppc64]
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/debian-science/packages/clasp.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/clasp.git
 Homepage: http://www.cs.uni-potsdam.de/clasp/
