## clasp 2.1.0

=== debian/changelog ===
clasp (2.1.0-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Fix Format URL.
  * debian/rules: Add hardening support.
  * debian/gcc-4.7.patch: Remove unnecessary patch.
  * debian/control: Bump Standards-Version to 3.9.3.1 and Build-Depends on
    dephelper >= 9.
  * debian/compat: Bump to 9.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Mon, 27 Aug 2012 20:20:04 +0200
