=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Krennwallner <tkren@kr.tuwien.ac.at>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8.0.0),
+Build-Depends: debhelper (>= 9),
+ dpkg-dev (>= 1.16.1~),
  libtbb-dev (>= 3.0+r018) [amd64 ia64 ppc64]
-Standards-Version: 3.9.3
+Standards-Version: 3.9.3.1
 Vcs-Git: git://git.debian.org/git/debian-science/packages/clasp.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/clasp.git
 Homepage: http://www.cs.uni-potsdam.de/clasp/
