=== debian/rules ===
--- 
+++ 
@@ -15,20 +15,35 @@
 arch = $(shell dpkg-architecture -qDEB_BUILD_ARCH | egrep "(amd64|ia64|ppc64)")
 os = $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS | grep linux)
 
+# use hardening config flags for compiling clasp
+CONFIG=hardening
 CONFIGPARMS = --prefix=/usr --with-claspre
-TOPBUILDDIR = build/release
+TOPBUILDDIR = build/$(CONFIG)
 ifeq ($(and $(if $(os),good), $(if $(arch),good)), good)
 	CONFIGPARMS += --with-mt TBB_INCLUDE=/usr/include TBB_LIB=/usr/lib
-	TOPBUILDDIR = build/release_mt
+	TOPBUILDDIR = build/$(CONFIG)_mt
 endif
 
+#
+# export CXXFLAGS and LDFLAGS for configure.sh
+#
+# add -O3 and NDEBUG and enable all hardening flags
+#
+DEB_CXXFLAGS_MAINT_APPEND = -O3 -DNDEBUG
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
+# inject CPPFLAGS to CXXFLAGS
+CXXFLAGS += $(CPPFLAGS)
 
 %:
 	dh $@
 
 # call ./configure.sh $(CONFIGPARMS)
 override_dh_auto_configure:
-	./configure.sh $(CONFIGPARMS)
+	./configure.sh --config=$(CONFIG) $(CONFIGPARMS)
 
 # build in $(TOPBUILDDIR)
 override_dh_auto_build:
