## clasp 2.1.1

=== debian/changelog ===
clasp (2.1.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Bump Standards-Version to 3.9.4 and Build-Depends on
    libtbb-dev >= 4.0+r233.
  * debian/copyright: Update copyright years.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Wed, 28 Nov 2012 10:35:53 +0100
