=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 9),
  dpkg-dev (>= 1.16.1~),
- libtbb-dev (>= 3.0+r018) [amd64 ia64 ppc64]
-Standards-Version: 3.9.3.1
+ libtbb-dev (>= 4.0+r233) [amd64 ia64 ppc64]
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/git/debian-science/packages/clasp.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/clasp.git
 Homepage: http://www.cs.uni-potsdam.de/clasp/
