## clasp 2.1.3

=== debian/changelog ===
clasp (2.1.3-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Update copyright years.
  * debian/control: Remove DM-Upload-Allowed.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Tue, 21 May 2013 09:22:08 +0200
