=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: extra
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Krennwallner <tkren@kr.tuwien.ac.at>
-DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 9),
  dpkg-dev (>= 1.16.1~),
  libtbb-dev (>= 4.0+r233) [amd64 ia64 ppc64]
