=== debian/changelog ===
clasp (2.1.4-1ubuntu1) trusty; urgency=medium

  * Match the whole line in dpkg-architecture -qDEB_BUILD_ARCH check, to
    avoid getting confused by substrings.
  * Use TBB on ppc64el.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 24 Mar 2014 16:37:20 +0000

clasp (2.1.4-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Fri, 13 Dec 2013 11:44:18 +0100
