=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: clasp
 Section: interpreters
 Priority: extra
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Krennwallner <tkren@kr.tuwien.ac.at>
 Build-Depends: debhelper (>= 9),
  dpkg-dev (>= 1.16.1~),
- libtbb-dev (>= 4.0+r233) [amd64 ia64 ppc64]
+ libtbb-dev (>= 4.0+r233) [amd64 ia64 ppc64 ppc64el]
 Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/git/debian-science/packages/clasp.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/clasp.git
