=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # or compatible hardware, this package only supports Pentium4-compatible
 # and higher processors.
 #
-arch = $(shell dpkg-architecture -qDEB_BUILD_ARCH | egrep "(amd64|ia64|ppc64)")
+arch = $(shell dpkg-architecture -qDEB_BUILD_ARCH | egrep -x "(amd64|ia64|ppc64|ppc64el)")
 os = $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS | grep linux)
 
 # use hardening config flags for compiling clasp
