=== debian/changelog ===
clasp (3.0.6-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Fix Vcs fields to use anonscm.debian.org.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Thu, 07 Aug 2014 11:53:54 +0200

clasp (3.0.5-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Mon, 19 May 2014 17:48:23 +0200

clasp (3.0.4-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Thu, 24 Apr 2014 11:26:44 +0200

clasp (3.0.3-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sun, 30 Mar 2014 07:34:40 +0200

clasp (3.0.2-2) unstable; urgency=low

  * Bug fix: "fix up TBB handling for ppc64el", thanks to Colin Watson
    (Closes: #742514).

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Tue, 25 Mar 2014 07:27:42 +0100

clasp (3.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Mon, 17 Mar 2014 17:11:58 +0100

clasp (3.0.1-1) unstable; urgency=low

  * New upstream release.
  * Bug fix: "3.0 cannot solve some problems solved by 2.1.4", thanks to
    Julian Andres Klode (Closes: #739628).

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Tue, 25 Feb 2014 17:04:16 +0100

clasp (3.0.0-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Call configure.sh without --with-claspre.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sun, 16 Feb 2014 11:19:35 +0100

clasp (2.1.5-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Bump Standards-Version to 3.9.5.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Tue, 11 Feb 2014 12:37:05 +0100
