=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: clasp
 Section: interpreters
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Krennwallner <tkren@kr.tuwien.ac.at>
 Build-Depends: debhelper (>= 9),
  dpkg-dev (>= 1.16.1~),
  libtbb-dev (>= 4.0+r233) [amd64 ia64 ppc64 ppc64el]
-Standards-Version: 3.9.4
-Vcs-Git: git://git.debian.org/git/debian-science/packages/clasp.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/clasp.git
+Standards-Version: 3.9.5
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/clasp.git
+Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/clasp.git
 Homepage: http://www.cs.uni-potsdam.de/clasp/
 
 Package: clasp
