## clasp 3.1.0

=== debian/changelog ===
clasp (3.1.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Remove Suggests on potassco-guide
  * Setup git repository to use git-buildpackage.
  * Import upstream sources with git-import-orig --pristine-tar --uscan.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Mon, 18 Aug 2014 13:00:07 +0200
