=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: gringo
-Suggests: potassco-guide
 Description: conflict-driven nogood learning answer set solver
  clasp is an answer set solver for (extended) normal logic
  programs. It combines the high-level modeling capacities of answer
