## clasp 3.1.1

=== debian/changelog ===
clasp (3.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Wed, 26 Nov 2014 08:44:17 +0100
