## clasp 3.1.2

=== debian/changelog ===
clasp (3.1.2-1) unstable; urgency=medium

  * Imported Upstream version 3.1.2
  * Fix dep5-copyright-license-name-not-unique and
    missing-license-paragraph-in-dep5-copyright lintian warnings.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Tue, 12 May 2015 07:18:25 +0200
