=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9),
  dpkg-dev (>= 1.16.1~),
  libtbb-dev (>= 4.0+r233) [amd64 ia64 ppc64 ppc64el]
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/clasp.git
 Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/clasp.git
 Homepage: http://www.cs.uni-potsdam.de/clasp/
