=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 # use hardening config flags for compiling clasp
 CONFIG=hardening
-CONFIGPARMS = --prefix=/usr --with-claspre
+CONFIGPARMS = --prefix=/usr
 TOPBUILDDIR = build/$(CONFIG)
 ifeq ($(and $(if $(os),good), $(if $(arch),good)), good)
 	CONFIGPARMS += --with-mt TBB_INCLUDE=/usr/include TBB_LIB=/usr/lib
