## clasp 3.1.3

=== debian/changelog ===
clasp (3.1.3-2) unstable; urgency=medium

  * Circumvent g++-5 loop code generation bug.
  * Bug fix: "aspcud fails to find solution if optimization criteria are
    passed for some problems", thanks to Johannes Schauer (Closes:
    #800526).

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Mon, 05 Oct 2015 07:43:55 +0200

clasp (3.1.3-1) unstable; urgency=medium

  * Imported Upstream version 3.1.3
  * debian/control: Add pkg-config (>= 0.28) to Build-Depends
  * debian/rules: Use pkg-config to get libdir / includedir of tbb: fixes
    "FTBFS: Error: TBB library path not set or 'libtbb.{so,dylib}' not
    found!", thanks to Chris Lamb (Closes: #799989).

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sat, 26 Sep 2015 08:57:05 +0200
