=== debian/changelog ===
clasp (3.1.4-1) unstable; urgency=medium

  * Imported Upstream version 3.1.4
  * Remove g++5 patch introduced in clasp 3.1.3-2
  * Fix dep5-copyright-license-name-not-unique

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sun, 20 Dec 2015 12:06:30 +0100
