=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Uploaders: Thomas Krennwallner <tkren@kr.tuwien.ac.at>
 Build-Depends: debhelper (>= 9),
  dpkg-dev (>= 1.16.1~),
- libtbb-dev (>= 4.0+r233) [amd64 ia64 ppc64 ppc64el]
+ libtbb-dev (>= 4.0+r233) [amd64 ia64 ppc64 ppc64el],
+ pkg-config (>= 0.28)
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/clasp.git
 Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/clasp.git
