=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,9 @@
 CONFIGPARMS = --prefix=/usr
 TOPBUILDDIR = build/$(CONFIG)
 ifeq ($(and $(if $(os),good), $(if $(arch),good)), good)
-	CONFIGPARMS += --with-mt TBB_INCLUDE=/usr/include TBB_LIB=/usr/lib
+	TBBINCLUDEDIR=$(shell pkg-config --variable=includedir tbb)
+	TBBLIBDIR=$(shell pkg-config --variable=libdir tbb)
+	CONFIGPARMS += --with-mt TBB_INCLUDE=$(TBBINCLUDEDIR) TBB_LIB=$(TBBLIBDIR)
 	TOPBUILDDIR = build/$(CONFIG)_mt
 endif
