=== debian/changelog ===
clasp (3.1.5-1ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: Cope with multiarch libtbb.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 05 Sep 2016 02:30:09 -0400

clasp (3.1.5-1) unstable; urgency=medium

  * New upstream version 3.1.5
  * debian/rules: cope with multiarch libtbb, thanks to Steve Beattie
  * Remove parallel solve patch introduced in clasp 3.1.4-2
  * Bug fix: "please make the build reproducible", thanks to Reiner
    Herrmann (Closes: #828971)

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sun, 04 Sep 2016 09:54:27 +0200

clasp (3.1.4-2ubuntu1) yakkety; urgency=medium

  * debian/rules: cope with multiarch libtbb

 -- Steve Beattie <sbeattie@ubuntu.com>  Mon, 02 May 2016 22:40:37 -0700

clasp (3.1.4-2) unstable; urgency=medium

  * Add patch to fix wrong number of optimal models in parallel mode
    (upstream bug 116)
  * Bump Standards-Version to 3.9.8

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sun, 01 May 2016 08:51:17 +0200
