=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 #
 arch = $(shell dpkg-architecture -qDEB_BUILD_ARCH | egrep -x "(amd64|ia64|ppc64|ppc64el)")
 os = $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS | grep linux)
+multiarch=$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)
 
 # use hardening config flags for compiling clasp
 CONFIG=hardening
@@ -21,7 +22,7 @@
 TOPBUILDDIR = build/$(CONFIG)
 ifeq ($(and $(if $(os),good), $(if $(arch),good)), good)
 	TBBINCLUDEDIR=$(shell pkg-config --variable=includedir tbb)
-	TBBLIBDIR=$(shell pkg-config --variable=libdir tbb)
+	TBBLIBDIR=$(shell pkg-config --variable=libdir tbb)/$(multiarch)
 	CONFIGPARMS += --with-mt TBB_INCLUDE=$(TBBINCLUDEDIR) TBB_LIB=$(TBBLIBDIR)
 	TOPBUILDDIR = build/$(CONFIG)_mt
 endif
