=== liblp/CMakeLists.txt ===
file(GLOB LIBLP_SRC src/*.cpp)
include_directories(${CMAKE_CURRENT_SOURCE_DIR})
SET(LIBRARY_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR}/lib)
add_library(lp STATIC ${LIBLP_SRC})
enable_testing ()
add_test (NAME LpTest COMMAND lpTest)
file(GLOB LIBLP_TEST tests/*.cpp)
if(NOT MSVC)
	add_definitions (-std=c++11)
endif()
add_executable (lpTest ${LIBLP_TEST})
target_link_libraries(lpTest lp)
