=== debian/changelog ===
clasp (3.2.1-3) unstable; urgency=medium

  * debian/rules: enable threads on all archs, use LDFLAGS to inject
    -latomic on archs that need it
  * fix FTBFS on alpha: do not define FPU_SWITCH_DOUBLE on alpha,
    _FPU_GETCW and friends are undefined on this arch

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sat, 17 Dec 2016 07:55:33 +0100

clasp (3.2.1-2) unstable; urgency=medium

  * debian/rules: disable threads on powerpc,powerpcspe,m68k,mips,mipsel
  * debian/control: use https

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sat, 03 Dec 2016 11:06:00 +0100

clasp (3.2.1-1) unstable; urgency=medium

  * New upstream version 3.2.1
  * watch clasp releases on github
  * debian/copyright: update copyright year and github source
  * debian/control
    - Build-Depends on g++ >= 4:6.1.1 replaces libtbb-dev
    - point Homepage to http://www.potassco.org
  * debian/rules: drop libtbb-dev and use c++11 multi-threading
  * clasp-manpage.patch: point to http://www.potassco.org/clasp

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Thu, 01 Dec 2016 08:22:07 +0100
