=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: clasp
 Section: interpreters
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Krennwallner <tkren@kr.tuwien.ac.at>
 Build-Depends: debhelper (>= 9),
  dpkg-dev (>= 1.16.1~),
- libtbb-dev (>= 4.0+r233) [amd64 ia64 ppc64 ppc64el],
+ g++ (>= 4:6.1.1),
  pkg-config (>= 0.28)
 Standards-Version: 3.9.8
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/clasp.git
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/clasp.git
-Homepage: http://www.cs.uni-potsdam.de/clasp/
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/clasp.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/clasp.git
+Homepage: https://www.potassco.org/clasp/
 
 Package: clasp
 Architecture: any
