## clasp 3.2.2

=== debian/changelog ===
clasp (3.2.2-1) unstable; urgency=medium

  * New upstream version 3.2.2
  * drop clasp-alpha-fpu-getcw.patch, already applied upstream

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Wed, 01 Feb 2017 11:52:16 +0100
